DS_FORMAT_UNIT(3)

EXPERIMENTAL_FUNC
ds_format_unit - Format a unit string.

SYNOPSIS
#include <karma_ds.h>

void ds_format_unit

(char unit[STRING_LENGTH], char format[STRING_LENGTH], double *scale, CONST char *value_name, double value)

DESCRIPTION
Format a unit string.

unit
    The unit string will be written here.

format
    The formatting string is written here.

scale
    The scale value to apply to data to convert to displayed units will be written here. If this is NULL nothing is written here.

value_name
    The name of the value to format.

value
    The (scaled) value. Used for beautifying the unit name.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/